#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: photoprism/photoprism
  # -- image tag
  # @default -- chart.appVersion
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://docs.photoprism.org/getting-started/config-options/) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Photoprism storage path
  PHOTOPRISM_STORAGE_PATH: /photoprism/storage
  # -- Photoprism originals path
  PHOTOPRISM_ORIGINALS_PATH: /photoprism/originals
  # -- Initial admin password. **BE SURE TO CHANGE THIS!**
  PHOTOPRISM_ADMIN_PASSWORD: "please-change"
  # -- Disable authentication / password protection
  PHOTOPRISM_PUBLIC: "false"
  # -- Sets UID Photoprism runs under.
  UID:  # 1000
  # -- Sets GID Photoprism runs under.
  GID:  # 1000
  # -- Sets UMASK.
  UMASK:  # 0000
  # -- Database driver (sqlite, mysql)
  PHOTOPRISM_DATABASE_DRIVER: sqlite
  # -- Database host incl. port
  PHOTOPRISM_DATABASE_SERVER: photoprism-mariadb:3306
  # -- Database schema name
  PHOTOPRISM_DATABASE_NAME: photoprism
  # -- Database user name
  PHOTOPRISM_DATABASE_USER: photoprism
  # -- Database user password
  PHOTOPRISM_DATABASE_PASSWORD: photoprism

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 2342

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: false
    mountPath: /photoprism/storage

  originals:
    enabled: false
    mountPath: "/photoprism/originals"

# -- Enable and configure mariadb database subchart under this key.
#    For more options see [mariadb chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/mariadb)
# @default -- See values.yaml
mariadb:
  enabled: false
  architecture: standalone
  auth:
    database: photoprism
    username: photoprism
    password: photoprism
    rootPassword: photoprism
  primary:
    persistence:
      enabled: false
      # storageClass: ""
